dunetpc - Feature #15099

Add reco option to fix pedestals in 35t processing
01/11/2017 01:01 PM - David Adams

Status: Closed Start date: 01/11/2017
Priority: Normal Due date:

Assignee: David Adams % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

As discussed in my talk in today's 35t sim/reco meeting (https:/indico.fnal.gov/conferenceDisplay.py?confld=13651), there are cases
where the pedestals used in 35t processing are not very good. We should add the option to calculate these during dataprep, the first
stage in reconstruction, in particular before correlated noise removal.

History

#1-01/11/2017 01:14 PM - David Adams

Dataprep provides the option to calculate an apply a pedestal after deconvolution. This is too late for noise removal and so we should add another
opportunity for this. It is natural to do this in the TPC data extraction service (StandardRawDigitExtractService) where the first pedestal subtraction is
performed. At present, it offers two options: 1) to use the pedestal recorded with the data and 2) to obtain the pedestal from the pedestal provider
which is connected to the 35t pedestal database.

My analysis software makes use of the extraction service and both it and standard reco (standard_reco_dune35tdata.fcl) use the first option. Karl, can
you confirm that this is the fcl we use for 35t production reconstruction?

I will modify StandardRawDigitExtractService to add the option to calculate the pedestal from the event data.

#2 - 01/11/2017 03:11 PM - Thomas Warburton

Hi David,

Yes, | believe that that is the standard reconstruction option.

Karl

#3 - 01/12/2017 11:23 AM - David Adams

| have made the following modifications.

The interface RawDigitExtractService.h is modified to take an AdcChannelData object instead of its constituents.
StandardRawDigitPrepService is updated to use the new interface.

StandardRawDigitExtractService is modified to the new interface and to add pedestal option 3 to use PedestalEvaluationService to evaluate the
pedestal from the data.

MedianPedestalService is modified to add the option to calculate the pedestal from the mean instead of median.
dataprep_dune.fcl is modified to add UseMean = false to adcped_median and to add adcped_mean with this set to true.
| have verified that all tests pass and that my analysis job gets the expected results with the new code.

#4 - 01/12/2017 11:30 AM - David Adams

The above is committed to dunetpc with tag 10134a4419fb29fa00a6fe8c6016eba5759fe49c. Note that there should be no change in the output of
default processing.

#5 - 01/12/2017 12:41 PM - David Adams

- Status changed from Assigned to Closed

| have dropped the old and now-obsolete code from StandardRawDigitExtractService.
New tag is c2b3a512f076edeb49babeOeeb812b45f35c8a25.

Changes pushed to dunetpc.
| close this report.

04/03/2021 22


http://www.tcpdf.org

